import Rolp from '../Rolp'
export default class Letp {
    constructor() {
        this.data = {
            recget: {
                sdamod: {
                    seainf: "",			//  		.letp.recget.sdamod.seainf
                    dadsnd: "",			//  Drag  Drop Sender		.letp.recget.sdamod.dadsnd
                },
            },
            ptsaddp: {
                ptsaddg: [],			//  		.letp.ptsaddp.ptsaddg
            },
            usr: {
                extkey: "",			//  Responsible User		.letp.usr.extkey
            },
            usrget: {
                sdamod: {
                    seainf: "",			//  		.letp.usrget.sdamod.seainf
                },
            },
            aamp: {
                aammod: {
                    addamtflg: "",			//  Add. Amount		.letp.aamp.aammod.addamtflg
                },
            },
            benp: new Rolp().data,
            issp: new Rolp().data,
            aplp: new Rolp().data,
            oppbnkl: "",			//  对手行代码		.letp.oppbnkl
            avbp: new Rolp().data,
            drwp: new Rolp().data,
            labdefdet: "",			//  DEFDAT LAbel		.letp.labdefdet
            advp: new Rolp().data,
            a2bp: new Rolp().data,
            apbp: new Rolp().data,
            rmbp: new Rolp().data,
            conp: new Rolp().data,
        }
    }
}